mav_lineTransFrame(3)

NAME
mav_lineTransFrame - Transform world coordinates line to object coordinates.

LEVEL
Maverik Level 2

SYNTAX
MAV_line mav_lineTransFrame(MAV_line in, MAV_matrix m);

ARGUMENTS

MAV_line in
    World coordinates line.

MAV_matrix m
    Matrix.

DESCRIPTION
This function takes line in in world coordinates, and transforms it using the inverse of matrix m, returning the result. The intent of this function is to specify m as the matrix of an object, such that the line in is transformed from world coordinates into the local coordinates of the object.

SEE ALSO
@mav_drawInfoTransFrame.